Subject: Question about Type2 redistribution in to OSPF

From: Mani Devarajan <[email-masked]>
Date: Wed, 21 Aug 2002 11:21:29 -0700

RFC 2328:
=========
Section - 12.4.4.  AS-external-LSAs

Type 2 metrics are assumed to be larger than
the cost of any intra-AS path.

In one other document I read ,it says that for type 2
it will be always external cost irrespective of inter
area cost.

                          type 2
      -----     -----     -----
     |     |   |     |   |     |
     | R1  |   | R2  |   |ASBR |
     |     |   |     |   |     |
      -----     -----     -----
          |10   |   |10    |  |
           -----     ------    ----|
                                   | External Network
                                   |
If ASBR redistributes route for external network at a
cost of 5, R1 will have a route to external network
with cost == 5 or cost > 10.

Thanks in advance,
<Mani

---

From: Nikhil Sama <[email-masked]>
Date: Wed, 21 Aug 2002 13:16:49 -0700

R1 will have a cost of 5 to the type-2 external route mentioned.

The reason is, as you mentioned ..
 "Type 2 metrics are assumed to be larger than the cost of any intra-AS
path."

If there was another type-2 external route available to the same
destination prefix via another internal ASBR/Next-Hop, then your
decision on which route to pick should be independent of your cost to
the different internal next-hop's but based solely on the type 2
metrics.
This would not "necessarily" be the case had you added the internal
cost(of getting to the next-hop) to the type-2 metric.

Hope this helps !
/ns

On Wed, 2002-08-21 at 11:21, Mani Devarajan wrote:

    RFC 2328:
    =========

                              type 2
          -----     -----     -----
         |     |   |     |   |     |
         | R1  |   | R2  |   |ASBR |
         |     |   |     |   |     |
          -----     -----     -----
              |10   |   |10    |  |
               -----     ------    ----|
                                       | External Network
                                       |

    Thanks in advance,
    <Mani

---

From: Nikhil Sama <[email-masked]>
Date: Wed, 21 Aug 2002 13:21:16 -0700

Hope this helps !
/ns

---

From: Acee Lindem <[email-masked]>
Date: Wed, 21 Aug 2002 16:43:22 -0400

> the different internal next-hop's but based solely on the type 2

This is true as long as the type-2 metrics from the two ASBRs differ.
When they are equal then the OSPF cost to the ASBR/forwarding address is
considered. Refer to section 16.4 in RFC 2328 for the details.

--
Acee